Description

Dear All,

I am extracting the bibliography of some ISTI researchers.

I go an error in some cases.

eg.

@inproceedings{oai:it.cnr:prodotti:462344,

author = {Gioia F. and Pascali M. A. and Greco A. and Colantonio S. and Scilingo E. P.},

booktitle = {EMBC 2021 - 43rd Annual International Conference of the IEEE Engineering in Medicine & Biology Society, pp.

608--611, Online Conference, 30/10/2021, 5/11/2021},

doi = {10.1109/embc46164.2021.9630860},

publisher = {IEEE, New York, USA},

title = {Discriminating stress from cognitive load using contactless thermal imaging devices},

year = {2021}

}

Perhaps the correct output is

... Medicine & Biology...

with backslash

Regards

History

#1 - Jun 07, 2022 12:29 PM - Leonardo Candela

- Assignee changed from Leonardo Candela to Michele Artini

Yep, this char and others need to be properly encoded 

#2 - Jun 08, 2022 12:01 PM - Michele Artini

- Status changed from New to In Progress

I implemented the escape of '&'. 

But I don't know which other characters should be encoded.

The Java library (jbibtex) does not provide a specify method to encode strings,

I used also a Mac OS Application (BibDesk) to parse the records and it accepted also the unescaped version of &.

#3 - Jun 09, 2022 10:36 AM - Leonardo Candela

The problem is not bibtex, rather the use of some characters conflicting with formats http://www.bibtex.org/SpecialSymbols/ e.g. 

{

"

$

These need to be escaped by \ 

I didn't managed to find a complete list. 
